using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GroupFooterV5
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            fpSpread1.ActiveSheet.Rows.Count = 10;
            fpSpread1.ActiveSheet.Columns.Count = 4;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.ActiveSheet.Columns[0].Label = "Employee No.";
            fpSpread1.ActiveSheet.Columns[1].Label = "Date";
            fpSpread1.ActiveSheet.Columns[2].Label = "Hours";

            //************************************ Grouping *******************************************

            fpSpread1.AllowColumnMove = true;
            fpSpread1.Sheets[0].GroupBarInfo.Visible = true;
            fpSpread1.Sheets[0].AllowGroup = true;
            fpSpread1.Sheets[0].GroupFooterVisible = true;
            fpSpread1.Sheets[0].ColumnFooter.Visible = true;
            for (int r = 0; r < fpSpread1.Sheets[0].RowCount; r++)
            {
                for (int j = 0; j < fpSpread1.Sheets[0].ColumnCount; j++)
                {
                    fpSpread1.Sheets[0].Models.Data.SetValue(r, j, j + r * fpSpread1.Sheets[0].ColumnCount);
                }
            }
            fpSpread1.Sheets[0].ColumnFooter.SetAggregationFormat(0, 2, "Sum:{0}");
            fpSpread1.Sheets[0].ColumnFooter.SetAggregationType(0, 2, FarPoint.Win.Spread.Model.AggregationType.Sum);

         }

        private void fpSpread1_Grouped(object sender, EventArgs e)
        {
            FarPoint.Win.Spread.Model.GroupDataModel gdm;
            gdm = (FarPoint.Win.Spread.Model.GroupDataModel)fpSpread1.ActiveSheet.Models.Data;
            gdm.GroupFooterVisible = true;
            FarPoint.Win.Spread.Model.Group g1 = (FarPoint.Win.Spread.Model.Group)gdm.Groups[1];
            ((FarPoint.Win.Spread.Model.IAggregationSupport)g1.GroupFooter.DataModel).SetCellAggregationType(0, 0, FarPoint.Win.Spread.Model.AggregationType.Sum);
            ((FarPoint.Win.Spread.Model.IAggregationSupport)g1.GroupFooter.DataModel).SetCellAggregationFormat(0, 0, "Sum: {0}");
            fpSpread1.ActiveSheet.Models.Data = gdm;

            Font fn = new Font("Ms Sans Sarif", 8.25F, FontStyle.Bold);
            fpSpread1.Sheets[0].ColumnFooter.Columns[2].HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Right;
            fpSpread1.Sheets[0].ColumnFooter.Columns[2].Font = fn;
            fpSpread1.Sheets[0].ColumnFooter.Columns[2].BackColor = Color.Red;
        }

    }
}